API Gateway Service, REST: ApiGateway.Update
Updates the specified API gateway.
HTTP request
PATCH https://serverless-apigateway.api.cloud.yandex.net/apigateways/v1/apigateways/{apiGatewayId}
Path parameters
|
Field |
Description |
|
apiGatewayId |
string Required field. ID of the API gateway to update. |
Body parameters
{
"updateMask": "string",
"name": "string",
"description": "string",
"labels": "object",
// Includes only one of the fields `openapiSpec`
"openapiSpec": "string",
// end of the list of possible fields
"connectivity": {
"networkId": "string",
"subnetId": [
"string"
]
},
"logOptions": {
"disabled": "boolean",
// Includes only one of the fields `logGroupId`, `folderId`
"logGroupId": "string",
"folderId": "string",
// end of the list of possible fields
"minLevel": "string"
},
"variables": "object",
"canary": {
"weight": "string",
"variables": "object"
},
"executionTimeout": "string"
}
|
Field |
Description |
|
updateMask |
string (field-mask) A comma-separated names off ALL fields to be updated. If |
|
name |
string New name for the API gateway. Value must match the regular expression |
|
description |
string New description for the API gateway. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) API gateway labels as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
openapiSpec |
string The text of specification, JSON or YAML. Includes only one of the fields New OpenAPI specification of API gateway. |
|
connectivity |
Gateway connectivity. If specified the gateway will be attached to specified network/subnet(s). |
|
logOptions |
Options for logging from the API gateway. |
|
variables |
object (map<string, VariableInput>) Values of variables defined in the specification. |
|
canary |
Canary release of the gateway. |
|
executionTimeout |
string (duration) Timeout for gateway call execution |
Connectivity
Gateway connectivity specification.
|
Field |
Description |
|
networkId |
string Network the gateway will have access to. |
|
subnetId[] |
string Complete list of subnets (from the same network) the gateway can be attached to. |
LogOptions
|
Field |
Description |
|
disabled |
boolean Is logging from API gateway disabled. |
|
logGroupId |
string Entry should be written to log group resolved by ID. Includes only one of the fields Log entries destination. |
|
folderId |
string Entry should be written to default log group for specified folder. Includes only one of the fields Log entries destination. |
|
minLevel |
enum (Level) Minimum log entry level.
|
VariableInput
|
Field |
Description |
|
stringValue |
string Includes only one of the fields Variable value that can has only primitive type |
|
intValue |
string (int64) Includes only one of the fields Variable value that can has only primitive type |
|
doubleValue |
string Includes only one of the fields Variable value that can has only primitive type |
|
boolValue |
boolean Includes only one of the fields Variable value that can has only primitive type |
Canary
|
Field |
Description |
|
weight |
string (int64) It describes percentage of requests, which will be processed by canary. Acceptable values are 0 to 99, inclusive. |
|
variables |
object (map<string, VariableInput>) Values specification variables, associated with canary. More than 0 per resource. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |